patches/gcc/4.4.4/300-uclibc-conf.patch
author "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr>
Fri Oct 08 23:37:12 2010 +0200 (2010-10-08)
branch1.8
changeset 2150 f97a8ad2b172
child 2148 ada9128c98b8
permissions -rw-r--r--
cc/gcc: fix C++ headers location

In case we build the C++ compiler, we have to tell gcc where to put the C++
headers, or else it will try to # put it in prefix/tuple/include, which we
make a symlink to sysroot/usr/include during the build, and that we delete
(the symlink!) after the build, but gcc will not look in sysroot/usr/inlcude
for C++ headers by default.

Implements a fix suggested by: Bryan Hundven <bryanhundven@gmail.com>

Reported-by: Anthony Foiani <anthony.foiani@gmail.com>
Signed-off-by: "Yann E. MORIN" <yann.morin.1998@anciens.enib.fr>
(transplanted from a0924619112015bdaa81a0a2313d21ef38607bc2)
yann@1948
     1
diff -durN gcc-4.4.0.orig/contrib/regression/objs-gcc.sh gcc-4.4.0/contrib/regression/objs-gcc.sh
yann@1948
     2
yann@1948
     3
diff -durN gcc-4.4.4.orig/contrib/regression/objs-gcc.sh gcc-4.4.4/contrib/regression/objs-gcc.sh
yann@1948
     4
--- gcc-4.4.4.orig/contrib/regression/objs-gcc.sh	2009-04-10 01:23:07.000000000 +0200
yann@1948
     5
+++ gcc-4.4.4/contrib/regression/objs-gcc.sh	2010-05-16 19:36:36.000000000 +0200
yann@1948
     6
@@ -106,6 +106,10 @@
yann@1948
     7
  then
yann@1948
     8
   make all-gdb all-dejagnu all-ld || exit 1
yann@1948
     9
   make install-gdb install-dejagnu install-ld || exit 1
yann@1948
    10
+elif [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-uclibc ]
yann@1948
    11
+ then
yann@1948
    12
+  make all-gdb all-dejagnu all-ld || exit 1
yann@1948
    13
+  make install-gdb install-dejagnu install-ld || exit 1
yann@1948
    14
 elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
yann@1948
    15
   make bootstrap || exit 1
yann@1948
    16
   make install || exit 1
yann@1948
    17
diff -durN gcc-4.4.4.orig/libjava/classpath/ltconfig gcc-4.4.4/libjava/classpath/ltconfig
yann@1948
    18
--- gcc-4.4.4.orig/libjava/classpath/ltconfig	2007-06-04 01:18:43.000000000 +0200
yann@1948
    19
+++ gcc-4.4.4/libjava/classpath/ltconfig	2010-05-16 19:36:36.000000000 +0200
yann@1948
    20
@@ -603,7 +603,7 @@
yann@1948
    21
 
yann@1948
    22
 # Transform linux* to *-*-linux-gnu*, to support old configure scripts.
yann@1948
    23
 case $host_os in
yann@1948
    24
-linux-gnu*) ;;
yann@1948
    25
+linux-gnu*|linux-uclibc*) ;;
yann@1948
    26
 linux*) host=`echo $host | sed 's/^\(.*-.*-linux\)\(.*\)$/\1-gnu\2/'`
yann@1948
    27
 esac
yann@1948
    28
 
yann@1948
    29
@@ -1251,7 +1251,7 @@
yann@1948
    30
   ;;
yann@1948
    31
 
yann@1948
    32
 # This must be Linux ELF.
yann@1948
    33
-linux-gnu*)
yann@1948
    34
+linux*)
yann@1948
    35
   version_type=linux
yann@1948
    36
   need_lib_prefix=no
yann@1948
    37
   need_version=no